Skip to main content
Kinetic Community

Installation

Installation overview and requirements for Kinetic Calendar v2.0.

Requirements

The following requirements are based on the main Kinetic Calendar application only.  Adapters can be added or removed based on need, and some adapters have specific requirements.  You must check the requirements page of the specific adapters you will be using to ensure your environment is configured correctly.

 

Kinetic Calendar Requirements

  • Java Development Kit (JDK) - version 6.0 or higher
  • Java Servlet Container - Kinetic Data recommends Apache Tomcat, v5.5 or higher
    • Implements Servlet 2.4 specification or higher
    • Implements JavaServer Pages 2.0 specification or higher
  • Recommended JVM Settings
    • Minimum Heap Memory - 512 MB

 

Adapter Requirements

Please view the requirements pages for the adapters you will be using to ensure all the requirements are met in your environment.

 

Installation

Kinetic Calendar v2.0 is distributed as a war file, and requires a Java Servlet Container such as Apache Tomcat.  Unlike previous versions of Kinetic Calendar, there are no Remedy forms or workflow, so nothing else needs to be installed.

To install Kinetic Calendar v2.0, all you need to do is deploy the war file to your web server, or more specifically to your Java Servlet Container.  The method to do this varies by web server, so you may need to consult the documentation for your web server if you are unfamiliar with deploying web applications.

For Apache Tomcat, you can copy the war file to the Tomcat webapps directory, and the application will automatically deploy if the web server is running, or it will auto deploy when the web server is started.

 
 

Quick Start Guide

 

Video showing how to install Kinetic Calendar 2.0

 

 

Check out the Configuration Guide for more information. Guide